Bug 189010 - Review Request: pybaz - Python library bindings for the GNU Arch/Bazaar RCS
Review Request: pybaz - Python library bindings for the GNU Arch/Bazaar RCS
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-04-14 13:21 EDT by Shahms E. King
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 21:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpmbuild log (316.93 KB, text/plain)
2006-06-05 13:14 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Shahms E. King 2006-04-14 13:21:30 EDT
Spec URL: http://shahms.mesd.k12.or.us/packages/pybaz.spec
SRPM URL: http://shahms.mesd.k12.or.us/packages/pybaz-1.1-1.src.rpm
Description: 
PyBaz provides Python bindings for manipulating GNU Arch and Bazaar archives
and repositories.
Comment 1 Orion Poplawski 2006-05-15 13:15:12 EDT
Good -

- package name matches guidelines
- spec is clean/legible
- License is good, matches source.
- owns dirs.
- builds in mock on devel.

Must fix:

- Add COPYING to %doc
- Drop unneeded python-devel BR.

Trouble:

- My mock for FC5 is pulling in epydoc-2.1-2.i386 rather than
epydoc-2.1-4.noarch, and make doc fails with the former but works with the
latter.  I think we'll need to get the repo fixed before a fc5 build works. 
I'll post a message to the FE list about it.

Question:

- Get the following output during make doc devel.  Not sure if it causes any
problems though:

make doc
rm -rf html
mkdir ,,make-doc || exit 1
cp -al pybaz ,,make-doc
rm -rf ,,make-doc/pybaz/tests
cd ,,make-doc ; ../mypydoc --docformat "restructuredtext en" --no-private pybaz
Importing 15 modules.
  [.........
Error importing 'pybaz.backends.knotted': No module named twisted.internet
......]
Building API documentation for 14 modules.
  [./usr/lib/python2.4/site-packages/epydoc/markup/restructuredtext.py:174:
DeprecationWarning: docutils.utils.Reporter.set_conditions deprecated; set
attributes via configuration settings or directly
  document.reporter.set_conditions('', 10000, 10000, None)
===========================================================================
In pybaz.ArchSourceTree.iter_inventory docstring:
---------------------------------------------------------------------------
     - Warning: @keyword used for explitict parameter source
     - Warning: @keyword used for explitict parameter precious
     - Warning: @keyword used for explitict parameter backups
     - Warning: @keyword used for explitict parameter junk
     - Warning: @keyword used for explitict parameter unrecognized
     - Warning: @keyword used for explitict parameter trees
     - Warning: @keyword used for explitict parameter directories
     - Warning: @keyword used for explitict parameter files
     - Warning: @keyword used for explitict parameter both
     - Warning: @keyword used for explitict parameter limit

===========================================================================
In pybaz.WorkingTree.commit docstring:
---------------------------------------------------------------------------
     - Warning: @keyword used for explitict parameter version
     - Warning: @keyword used for explitict parameter log
     - Warning: @keyword used for explitict parameter strict
     - Warning: @keyword used for explitict parameter seal
     - Warning: @keyword used for explitict parameter fix
     - Warning: @keyword used for explitict parameter out_of_date_ok
     - Warning: @keyword used for explitict parameter file_list

===========================================================================
In pybaz.WorkingTree.iter_commit docstring:
---------------------------------------------------------------------------
     - Warning: @keyword used for explitict parameter version
     - Warning: @keyword used for explitict parameter log
     - Warning: @keyword used for explitict parameter strict
     - Warning: @keyword used for explitict parameter seal
     - Warning: @keyword used for explitict parameter fix
     - Warning: @keyword used for explitict parameter out_of_date_ok
     - Warning: @keyword used for explitict parameter file_list

===========================================================================
In pybaz.WorkingTree.undo docstring:
---------------------------------------------------------------------------
     - Warning: @keyword used for explitict parameter revision
     - Warning: @keyword used for explitict parameter output
     - Warning: @keyword used for explitict parameter quiet
     - Warning: @keyword used for explitict parameter throw_away

.............]
Writing HTML docs (100 files) to 'html'.
  [  1%] ............................................................
  [ 61%] ........................................
Warning: Failed identifier crossreference targets:
    - file.next (from pybaz.backends.forkexec.exec_safe_iter_stdout.next)
    - file.readline (from pybaz.backends.forkexec.exec_safe_iter_stdout.next)

Comment 2 Shahms E. King 2006-05-16 13:00:55 EDT
Updated files are at:
http://shahms.mesd.k12.or.us/packages/pybaz.spec
http://shahms.mesd.k12.or.us/packages/pybaz-1.1-2.src.rpm

Yeah, I was having similar repo issues until I manually specified the .noarch
package.  I'm not exactly sure where the problem is, but I think yum always
prefers architecture-specific packages even over newer noarch ones. I've
attempted to work around the problem by specifying a BuildRequires on epydoc >
2.1-2.

The warnings from make doc can be ignored.  The "error" that mentions
twisted.internet is because the twisted module isn't installed when it's making
the documentation.  I wasn't sure how to handle that as it isn't a hard
"requires", but rpm has no mechanism for "suggests".  In the updated files I
have added python-twisted as a BuildRequires, but not a Requires.
Comment 3 Shahms E. King 2006-05-16 13:34:20 EDT
I have updated files that add a horrible kludge to cope with the bad repo
package until this gets fixed.
http://shahms.mesd.k12.or.us/packages/pybaz.spec
http://shahms.mesd.k12.or.us/packages/pybaz-1.1-3.src.rpm
Comment 4 Orion Poplawski 2006-05-18 13:04:16 EDT
Okay, looks like repos are in shape now.  I'm reviewing 1.1-2.

- md5sums match upstream
- rpmlint is silent
- builds in mock fc5

Suggestion:

- add:

%check
make check

and get the tests to run successfully.
Comment 5 Shahms E. King 2006-06-02 14:06:46 EDT
In order to get the tests to pass I had to update to the latest stable patch
release on the 1.4 branch.  Unfortunately, that branch triggered some bugs in
epydoc and I had to whip up a quick patch to fix that.  The new files are at:

http://shahms.mesd.k12.or.us/packages/pybaz.spec
http://shahms.mesd.k12.or.us/packages/pybaz-1.4-0.1.20060602arch.patch1.src.rpm
Comment 6 Orion Poplawski 2006-06-05 13:14:33 EDT
Created attachment 130522 [details]
rpmbuild log

I'm still seeing lots of errors from "make check".
Comment 7 Shahms E. King 2006-06-14 11:28:56 EDT
Heh, my previous comment must have been lost. Oh well.

Thanks for you patience in reviewing this package, life has been pretty busy and
shepharding troublesome packges through review has had to take a lower priority
than usual.

I've added make check to the %check section and fixed the earlier epydoc by
patching the script that gets run with make doc to skip documenting the
'logging.Logger' instance that caused error. This causes an epydoc warning at
the end of make doc, but as logging is a standard library anyway, this isn't
much of a problem.

New files are at:
http://shahms.mesd.k12.or.us/packages/pybaz.spec
http://shahms.mesd.k12.or.us/packages/pybaz-1.4-0.2.20060602arch.patch1.src.rpm
Comment 8 Orion Poplawski 2007-02-08 18:02:30 EST
Are you still around?  The urls above no longer work.

Also looks like pybaz has moved to http://code.aaronbentley.com/pybaz/ and 1.5.2
has been released.
Comment 9 Shahms E. King 2007-02-08 18:54:49 EST
Somewhat.  Since posting those files I've changed jobs once and cities twice;
I'm currently in the process of getting Internet access again, which should
happen next Thursday if all goes to plan.  As the files were hosted on my
workstation at my previous employer and my current employer probably wouldn't be
terribly happy about hosting them, I'll have to wait before I can put them up at
a new URL.
Comment 10 Jason Tibbitts 2007-05-28 01:00:47 EDT
This has been in needinfo state since March.  Any chance of anything happening
here?  I'm sure someone on fedora-devel would be willing to provide a place to
put these files if that's all that's holding up this ticket.

Note You need to log in before you can comment on or make changes to this bug.